Skip to content

Get authenticated user info

GET
/auth/me
curl --request GET \
--url https://example.com/api/auth/me \
--header 'Authorization: Bearer <token>'

Returns user id and email from session.

User info

Media type application/json
object
id
required
string format: uuid
email
required
string format: email

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean